Skip to main content
GET
/
orgs
/
{org_id}
/
k2
/
{kb_id}
/
files
/
{file_id}
/
chunks
cURL
curl --request GET \
  --url https://api.timbal.ai/orgs/{org_id}/k2/{kb_id}/files/{file_id}/chunks \
  --header 'Authorization: Bearer <token>'
{
  "chunks": [
    {
      "content": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "embed": "<string>",
      "index_status": "<string>",
      "kb_file_id": "<string>",
      "ordinal": "<string>",
      "revision": "<string>",
      "source": "<string>",
      "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updated_at": "2023-11-07T05:31:56Z",
      "index_error": "<string>",
      "indexed_at": "2023-11-07T05:31:56Z",
      "page_end": 123,
      "page_start": 123
    }
  ],
  "next_page_token": "<string>"
}

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required
kb_id
string
required
file_id
string
required

Query Parameters

page_token
string | null

Cursor: pass next_page_token from the previous response to fetch the next page. Treat the value as opaque.

limit
integer<int64> | null

Page size. Defaults to 100; max 500.

Response

200 - application/json

Chunks listed

chunks
object[]
required
next_page_token
string | null